
import React from 'react';
import Icon from 'react-icon-base';

const SlEnvelopeOpen = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M1023.31 486.704c-1.36035 11.3115 -5.61426 21.7129 -12.0947 30.4648h0.160156l-0.879883 0.879883c-3.28027 4.32031 -7.12012 8.12793 -11.4082 11.5039l-417.28 403.408c-36.2236 36.2236 -99.5039 36.2881 -135.776 0l-417.216 -400.256 c-9.02441 -8.40039 -28.8809 -31.0889 -28.8809 -53.3447v-479.52c0 -35.1836 28.8164 -64 64 -64h896c35.1836 0 64 28.8164 64 64v478.256c0.223633 2.87988 -0.0644531 5.75977 -0.624023 8.60742zM269.794 233.665l-205.856 -189.567v371.184zM335.569 207.281 c2.28809 1.51953 4.46484 3.24805 6.36914 5.4082c0.368164 0.416016 0.624023 0.912109 0.959961 1.34375l141.168 130c7.24805 5.83984 15.8398 8.91211 24.8799 8.91211c9.18359 0 18.3672 -3.21582 24.5273 -8l383.6 -345.104h-806.736zM757.458 229.442l202.48 179.696 v-361.84zM103.778 517.171l387.501 370.544c6.06445 6.03223 14.0967 9.37598 22.625 9.37598c8.55957 0 16.5918 -3.34375 22.6562 -9.37598l361.376 -344.352h-0.975586l54.8965 -55.792l-242.304 -215.04l-135.248 121.664 c-37.6797 29.5361 -91.7754 30.8164 -131.68 -1.37598l-125.504 -115.584l-241.792 213.344l26.9922 26.5918h1.45605z"/></g>
    </Icon>
);

export default SlEnvelopeOpen;
